not compatible ff 24 Rated 1 out of 5 stars

Not compatible with FF 24 :(

This user has a previous review of this add-on.